Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeEditPanel.TNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          ix.util.xml.XMLTreeEditPanel.TNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  XMLTreeEditPanel.ObjTNode

Enclosing class:
  XMLTreeEditPanel

     class XMLTreeEditPanel.TNode

extends javax.swing.tree.DefaultMutableTreeNode

A TreeNode for use in EditorTrees.

Field Summary
`(package private) org.jdom.Namespace` | `namespace`
`(package private) java.lang.String` | `renderingText`
`(package private) boolean` | `shouldBeExpanded`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`XMLTreeEditPanel.TNode(java.lang.Object userObject)`

Method Summary
`(package private) XMLTreeEditPanel.TNode` | `copySubtree()`
`(package private) void` | `expandSubtree(int depth)`
`(package private) org.jdom.Namespace` | `getNamespace()`
`javax.swing.tree.TreePath` | `getTreePath()`
`(package private) void` | `setNamespace(org.jdom.Namespace n)`
`(package private) void` | `setShouldBeExpanded(boolean sbe)`
`(package private) void` | `setSubtreeShouldBeExpanded(boolean sbe)`
`void` | `setUserObject(java.lang.Object object)`
`(package private) boolean` | `shouldBeExpanded()`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### namespace

    org.jdom.Namespace namespace

### shouldBeExpanded

    boolean shouldBeExpanded

### renderingText

    java.lang.String renderingText

Constructor Detail

### XMLTreeEditPanel.TNode

    XMLTreeEditPanel.TNode(java.lang.Object userObject)

Method Detail

### getNamespace

    org.jdom.Namespace getNamespace()

### setNamespace

    void setNamespace(org.jdom.Namespace n)

### shouldBeExpanded

    boolean shouldBeExpanded()

### setShouldBeExpanded

    void setShouldBeExpanded(boolean sbe)

### setSubtreeShouldBeExpanded

    void setSubtreeShouldBeExpanded(boolean sbe)

### expandSubtree

    void expandSubtree(int depth)

### getTreePath

    public javax.swing.tree.TreePath getTreePath()

### setUserObject

    public void setUserObject(java.lang.Object object)

  Specified by:
    `setUserObject` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `setUserObject` in class `javax.swing.tree.DefaultMutableTreeNode`

### copySubtree

    XMLTreeEditPanel.TNode copySubtree()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD